.ajax-locals .section-properties-container-right-top-bar {
    background-color: #FFFFFF;
    width: 100%;
    display: flex;
    justify-content: end;
    padding: 16px;
    gap: 16px;
    font-weight: 400;
    font-size: 20px;
    line-height: 20px;
    letter-spacing: 0%;
    color: #042C58;
    align-items: center;
    margin-bottom: 32px;
}

.ajax-locals .section-properties-container-right {
    width: 100%
}

.ajax-locals .pagination-left {
    display: flex;
    align-items: center;
}

.ajax-locals .properties-pagination {
    background-color: #fff;
    margin-top: 8px;
    padding: 30px 10px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 24px;
}

.ajax-locals .my-custom-pagination {
    display: flex;
    list-style: none;
    gap: 4px;
    padding: 0;
    margin: 0;
}

.ajax-locals .my-custom-pagination li {
    display: inline-block;
}

.ajax-locals .my-custom-pagination li.arrow-disabled {
    display: none;
}

.ajax-locals .my-custom-pagination .page-numbers {
    display: inline-block;
    padding: 8px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    text-decoration: none;
    color: var(--Volcanic-Rock);
    transition: color .3s ease, background .3s ease;
    font-weight: 400;
    font-size: 20px;
}

.ajax-locals .my-custom-pagination .page-numbers:hover {
    background-color: var(--Merlot-Wine);
    color: #fff;
}

.ajax-locals .my-custom-pagination .page-numbers svg path {
    transition: fill .3s ease;
}

.ajax-locals .my-custom-pagination .page-numbers:hover svg path {
    fill: #fff;
}

.ajax-locals .my-custom-pagination .page-numbers.current {
    background-color: var(--Merlot-Wine);
    color: #fff;
    cursor: default;
}

.ajax-locals .pagination-right {
    display: flex;
    align-items: center;
    gap: 16px;
}

.ajax-locals .pagination-right label {
    font-weight: 400;
    font-size: 20px;
}

/*  */

.ajax-locals .posts-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 32px;
    padding: 24px 0;
}

.ajax-locals .post-single {
    width: calc(33.33333333% - 22px);
    display: flex;
    flex-direction: column;
}

.ajax-locals .post-title-wrapper {
    padding: 24px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    background-color: var(--Alabaster-White);
    height: auto;
    flex: 1 auto;
}

.ajax-locals .post-thumb {
    overflow: hidden;
    line-height: 0.85;
    position: relative;
}

.ajax-locals .post-thumb::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.30) 0%, rgba(0, 0, 0, 0.30) 100%);
    transition: opacity .3s ease;
}

.ajax-locals .post-single:hover .thumb-badge,
.ajax-locals .post-single:hover .post-thumb::before {
    opacity: 0;
}

.ajax-locals .post-thumb img {
    aspect-ratio: 449 / 280;
    width: 100%;
    height: auto;
    z-index: 4;
}

.ajax-locals .thumb-badge {
    position: absolute;
    right: 16px;
    top: 16px;
    left: 16px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
    z-index: 4;
    transition: opacity .3s ease;
}

.ajax-locals .thumb-badge div {
    border-radius: 12px;
    background: rgba(0, 0, 51, 0.20);
    backdrop-filter: blur(5px);
    color: #fff;
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 600;
    padding: 6px 16px;
}

.ajax-locals .post-price {
    color: var(--Merlot-Wine);
    font-size: 26px;
    font-weight: 500;
    letter-spacing: 1px;
    text-transform: uppercase;
}

.ajax-locals .post-title {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.ajax-locals .post-bedrooms {
    text-transform: uppercase;
    color: var(--Volcanic-Rock);
    font-size: 16px;
    letter-spacing: 4px;
    font-weight: 300;
}

.ajax-locals .post-title h3 {
    font-size: 26px;
    color: var(--Volcanic-Rock);
    font-family: 'Playfair Display';
    letter-spacing: 4px;
    font-weight: 400;
}

.ajax-locals .post-content {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    color: var(--Volcanic-Rock);
    font-size: 16px;
    font-weight: 300;
    letter-spacing: 1px;
}

.ajax-locals .btn-wrapper {
    display: flex;
    justify-content: center;
    margin-top: 40px;
}


@media (max-width:1440px) {
    .ajax-locals {
        padding: 48px 0;
    }

    .ajax-locals .posts-wrapper {
        gap: 32px 16px;
    }

    .ajax-locals .post-single {
        width: calc(33.33333333% - 12px);
    }

    .ajax-locals .post-title h3 {
        font-size: 22px;
    }
}

@media (max-width:1199px) {
    .ajax-locals .post-single {
        width: calc(50% - 8px);
    }

    .ajax-locals .content-title-wrapper {
        margin-bottom: 24px;
    }
}

@media (max-width:991px) {
    .ajax-locals {
        padding: 32px 0;
    }

    .ajax-locals .post-single {
        width: calc(50% - 12px);
    }

    .ajax-locals .post-title-wrapper {
        padding: 16px;
    }

    .ajax-locals .content-title-wrapper {
        margin-bottom: 16px;
    }
}

@media (max-width:768px) {

    .ajax-locals .post-single {
        width: 100%;
    }

    .ajax-locals .post-thumb img {
        aspect-ratio: 343 / 192;
    }

    .ajax-locals .post-title h3 {
        -webkit-line-clamp: 3;
        line-clamp: 3;
    }

    .ajax-locals .btn-wrapper {
        margin-top: 0;
    }

    .ajax-locals .post-bedrooms {
        letter-spacing: 2px;
        font-size: 14px;
    }
}

@media (max-width:479px) {
    .ajax-locals .my-custom-pagination .page-numbers {
        padding: 6px;
        width: 32px;
        height: 32px;
        font-size: 16px;
    }
}